package com.wissamfawaz;

public interface SList<T> {
	public int size();
	public boolean isEmpty();
	
	public void insertAtHead(T element);
	public void insertAtTail(T element);
	public T removeFromHead() throws EmptyListException;
	public T removeFromTail() throws EmptyListException;
	public T getHead() throws EmptyListException;
	public T getTail() throws EmptyListException;

}
